Method: orders.create

  • The documentation describes how to create an order and receive the new Order back.

  • Orders are created using a POST request to https://actions.googleapis.com/v3/orders.

  • The request body for creating an order includes a header, the order details, and a user token.

  • A successful response contains the newly created Order instance.

Creates an order and returns the new Order.

HTTP request

POST https://actions.googleapis.com/v3/orders

The URL uses gRPC Transcoding syntax.

Request body

The request body contains data with the following structure:

JSON representation
{
  "header": {
    object(OrderRequestHeader)
  },
  "order": {
    object(Order)
  },
  "userToken": string
}
Fields
header

object(OrderRequestHeader)

Header for the create order request.

order

object(Order)

Order to be created.

userToken

string (bytes format)

Encrypted token used to uniquely identify a particular {user, partner} pair.

A base64-encoded string.

Response body

If successful, the response body contains a newly created instance of Order.